#include <Wire.h>
#include <LiquidCrystal_I2C.h> //Nástroje → Spravovat knihovny (zkratka Ctrl+Shift+I) → Vyhledat „LiquidCrystal I2C" (by „Drank de Brabander”), „1.1.2”

LiquidCrystal_I2C lcd(0x27, 20, 4); // nastav adresu LDC na 0x27 pro 20 sloupcovy a 4 radkovy displej

const uint32_t pauza = 5000;

uint16_t zbytek;
const uint16_t delitel = 1000;

unsigned long casovaZnacka;

void obrazovka1()
{
  lcd.clear();
  lcd.setCursor(3, 0);
  lcd.print("NAVODY  DRATEK"); // napis na displej "NAVODY  DRATEK"
  lcd.setCursor(5, 3);
  lcd.print("DRATEK.CZ");      // napis na displej "DRATEK.CZ"
}

void obrazovka2()
{
  zbytek = millis() % delitel;
  if (zbytek < (pauza/delitel))
  {
    lcd.clear();
    lcd.setCursor(3, 0);
    lcd.print("CAS OD ZAPNUTI"); // napis na displej "CAS OD ZAPNUTI"
    lcd.setCursor(3, 2);
    lcd.print(millis() / 1000);
    lcd.setCursor(15, 2);
    lcd.print("sec");            // napis na displej "sec"
  }
}

void setup()
{
  lcd.init();           // initialize the lcd
  lcd.backlight();      // zapni podsvícení
  lcd.setCursor(6, 0);  // dej kurzor na sloupec 6, řádek 0
  lcd.print("ARDUINO"); // napis na displej "ARDUINO"
  lcd.setCursor(6, 1);  // dej kurzor na sloupec 6, řádek 1
  lcd.print("ARDUINO"); // napis na displej "ARDUINO"
  lcd.setCursor(6, 2);  // dej kurzor na sloupec 6, řádek 2
  lcd.print("ARDUINO"); // napis na displej "ARDUINO"
  lcd.setCursor(6, 3);  // dej kurzor na sloupec 6, řádek 3
  lcd.print("ARDUINO"); // napis na displej "ARDUINO"
  delay(pauza);
  casovaZnacka = millis(); // vytvori casovou znacku
}

void loop()
{
  if (millis() < casovaZnacka + pauza) // jestli je aktualni cas < nez casova znacka + pauza (5000 ms);
  {
    obrazovka2();
  }
  else
  {
    obrazovka1();
    delay(pauza);            // pauza 5000 ms
    casovaZnacka = millis(); // vytvori casovou znacku
  }
}
